net.sf.jasperreports.charts.base

## Class JRBaseGanttSeries

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseGanttSeries

- All Implemented Interfaces:
    java.io.Serializable, JRGanttSeries
  Direct Known Subclasses:
    JRDesignGanttSeries

      public class JRBaseGanttSeries
      extends java.lang.Object
      implements JRGanttSeries, java.io.Serializable

  Version:
    $Id: JRBaseGanttSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Peter Risko (peter@risko.hu)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `endDateExpression`
    `protected JRHyperlink` | `itemHyperlink`
    `protected JRExpression` | `labelExpression`
    `protected JRExpression` | `percentExpression`
    `protected JRExpression` | `seriesExpression`
    `protected JRExpression` | `startDateExpression`
    `protected JRExpression` | `subtaskExpression`
    `protected JRExpression` | `taskExpression`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseGanttSeries()`
    `` | `JRBaseGanttSeries(JRGanttSeries ganttSeries, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getEndDateExpression()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getLabelExpression()`
    `JRExpression` | `getPercentExpression()`
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getStartDateExpression()`
    `JRExpression` | `getSubtaskExpression()`
    `JRExpression` | `getTaskExpression()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### seriesExpression

          protected JRExpression seriesExpression

    - #### taskExpression

          protected JRExpression taskExpression

    - #### subtaskExpression

          protected JRExpression subtaskExpression

    - #### startDateExpression

          protected JRExpression startDateExpression

    - #### endDateExpression

          protected JRExpression endDateExpression

    - #### percentExpression

          protected JRExpression percentExpression

    - #### labelExpression

          protected JRExpression labelExpression

    - #### itemHyperlink

          protected JRHyperlink itemHyperlink

  - ### Constructor Detail

    - #### JRBaseGanttSeries

          protected JRBaseGanttSeries()

    - #### JRBaseGanttSeries

          public JRBaseGanttSeries(JRGanttSeries ganttSeries,
                           JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRGanttSeries`
      Returns:
        the expression of the series name

    - #### getTaskExpression

          public JRExpression getTaskExpression()

      Specified by:
        `getTaskExpression` in interface `JRGanttSeries`
      Returns:
        the expression of the task name

    - #### getSubtaskExpression

          public JRExpression getSubtaskExpression()

      Specified by:
        `getSubtaskExpression` in interface `JRGanttSeries`
      Returns:
        the expression of the subtask name

    - #### getStartDateExpression

          public JRExpression getStartDateExpression()

      Specified by:
        `getStartDateExpression` in interface `JRGanttSeries`
      Returns:
        the start date expression

    - #### getEndDateExpression

          public JRExpression getEndDateExpression()

      Specified by:
        `getEndDateExpression` in interface `JRGanttSeries`
      Returns:
        the end date expression

    - #### getPercentExpression

          public JRExpression getPercentExpression()

      Specified by:
        `getPercentExpression` in interface `JRGanttSeries`
      Returns:
        the task percent expression

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `JRGanttSeries`
      Returns:
        the label expression

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRGanttSeries`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and an image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRGanttSeries`
      Returns:
        hyperlink specification for chart items

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com